Bug 1492 - MARC subfields structure: can't switch to tab with label "@"
Summary: MARC subfields structure: can't switch to tab with label "@"
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Paul Poulain
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-10-12 07:22 UTC by Owen Leonard
Modified: 2012-10-25 20:00 UTC (History)
0 users

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 00:31:05 UTC


---- Reported by oleonard@myacpl.org 2007-10-12 07:22:43 ----

Looking at marc_subfields_structure.pl: The javascript for handling tab-switching doesn't seem to like working with an ID which has "@" in it (it's invalid, anyway: validator says "character "@" is not allowed in the value of attribute "id").

Can we encode the ampersand in some way before passing it to the template? Are there any other subfield codes which might cause this problem?



---- Additional Comments From paul.poulain@biblibre.com 2007-10-26 09:09:34 ----

patch 8e37aacde110a456a28f8b8048398de0bd5519d8



---- Additional Comments From jmf@liblime.com 2007-11-24 16:55:50 ----

fixed, closing out, thanks Paul!



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 00:31 UTC  ---

This bug was previously known as _bug_ 1492 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=1492

Actual time not defined. Setting to 0.0